from setuptools import setup, Extension, find_packages
from torch.utils.cpp_extension import CUDAExtension, BuildExtension

setup(name='lpmm',
    ext_modules=[
        CUDAExtension(
            'lpmm.cpp_extension.quantization',
            ['lpmm/cpp_extension/quantization.cc', 'lpmm/cpp_extension/quantization_kernel.cu']
        ),
    #     CUDAExtension(
    #         'lbmqt.cpp_extension.backward_func',
    #         ['lbmqt/cpp_extension/backward_func.cc']
    #     ),
    ],
    cmdclass={
        'build_ext': BuildExtension
    },
    packages=find_packages(exclude=[
        "examples"
    ])
)
